//startingDate:17-01-2019
var Business={};
var Utils = {};
Utils.Path='';
Utils.mobileDeviceFlag=false;
var questionId=0,startTime=0,scoredMarks=0,totalMarks=40,resId=0,level=0;

$(document).ready(function()
{
	$(".se-pre-con").fadeOut("slow");
	if(navigator.userAgent.match(/Android|BlackBerry|iPhone|iPad|iPod|Opera Mini|IEMobile/i))
		Utils.mobileDeviceFlag=true;
	/* if(Utils.mobileDeviceFlag) 
		Utils.Path=Android.getMediaPath("MasterMind");  */
	setTimeout(function()
	{
		MasterMind.init();
	},100);
});

MasterMind.init=function()
{
	$("#coverPage").show();
	$("#gamePage").hide();
	$(".header").not("#logo").css("visibility","hidden");
	document.body.style.backgroundImage = "url("+Utils.Path+"images/bg.jpeg";
	MasterMind.initializeVariables();
	MasterMind.setAllImages();
	MasterMind.createQuestionDivs();
	MasterMind.createOptionDivs();
	MasterMind.createResultDivs();
}

MasterMind.initializeVariables=function()
{
	MasterMind.resultArr=[];
	MasterMind.color;
	MasterMind.colorSetArr=[];
	MasterMind.counter=0;
	MasterMind.rowNum=0;
	MasterMind.white=0;
	MasterMind.black=0;
}
MasterMind.setAllImages=function()
{
	document.getElementById("homeImage").src=Utils.Path+"images/Home_button.png";
	document.getElementById("logoImage").src=Utils.Path+"images/logo.png";
	document.getElementById("play").src=Utils.Path+"images/playButton.png";
	//document.getElementById("next").src=Utils.Path+"images/Next_button.png";
	//document.getElementById("homeLogo").src=Utils.Path+"images/Home_button.png";
}
